package com.ssj.service.kmt.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

public class AnswerSearchV1Request extends BaseRequest {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "bookId", value = "练习册id", required = true)
    private String bookId;

    @ApiModelProperty(name = "exerciseBookCourseId", value = "课时id", required = true)
    private String exerciseBookCourseId;

    @ApiModelProperty(name = "pageIndex", value = "页码", required = true)
    private int pageIndex;

    @ApiModelProperty(name = "homeworkPictureId", value = "学生当天作业图片id", required = false)
    private String homeworkPictureId;

    public String getBookId() {
        return bookId;
    }

    public void setBookId(String bookId) {
        this.bookId = bookId;
    }

    public String getExerciseBookCourseId() {
        return exerciseBookCourseId;
    }

    public void setExerciseBookCourseId(String exerciseBookCourseId) {
        this.exerciseBookCourseId = exerciseBookCourseId;
    }

    public int getPageIndex() {
        return pageIndex;
    }

    public void setPageIndex(int pageIndex) {
        this.pageIndex = pageIndex;
    }

    public String getHomeworkPictureId() {
        return homeworkPictureId;
    }

    public void setHomeworkPictureId(String homeworkPictureId) {
        this.homeworkPictureId = homeworkPictureId;
    }
}
